Subject: Re: commit dd4cf8c9e1f4 leads to failed boot

From: "Aithal, Srikanth" <[email-masked]>
Date: Wed, 23 Apr 2025 19:17:43 +0530

On 4/23/2025 7:16 PM, Steven Rostedt wrote:
> On Wed, 23 Apr 2025 19:09:42 +0530
> "Aithal, Srikanth" <[email-masked]> wrote:
> 
>> On 4/23/2025 5:24 PM, Bert Karwatzki wrote:
>>> Since linux next-20250422 booting fails on my MSI Alpha 15 Laptop runnning
>>> debian sid. When booting kernel message appear on screen but no messages from
>>> init (systemd). There are also no logs written even thought emergency sync
>>> via magic sysrq works (a message is printed on screen), presumably because
>>> / is not mounted. I bisected this (from 6.15-rc3 to next-20250422) and found
>>> commit dd4cf8c9e1f4 as the first bad commit.
>>> Reverting commit dd4cf8c9e1f4 in next-20250422 fixes the issue.
>>
>>
>> Hello,
>>
>> On AMD platform as well boot failed starting next-20250422, bisecting
>> the issue led me to same commit dd4cf8c9e1f4. I have attached kernel
>> config and logs.
>>
> 
> What is commit dd4cf8c9e1f4? Please use human readable text. The sha is
> fine for lookup, but without the title it's meaningless to me.
> 
> $ git show dd4cf8c9e1f4
> fatal: ambiguous argument 'dd4cf8c9e1f4': unknown revision or path not in the working tree.
> 
> Don't make me have to download linux-next to figure this out! :-p
> 
> -- Steve

I had referred the commit from next-20250422 tree.

commit dd4cf8c9e1f426496d63fa4e19fbf4edd5623b33
Author: Paul E. McKenney <[email-masked]>
Date:   Thu Apr 10 09:52:53 2025 -0700

     ratelimit: Force re-initialization when rate-limiting re-enabled

     Currently, rate limiting being disabled results in an immediate early
     return with no state changes.  This can result in false-positive drops
     when re-enabling rate limiting.  Therefore, mark the ratelimit_state
     structure "uninitialized" when rate limiting is disabled.

     Additionally, interpret non-positive ->burst to unconditionally force
     rate limiting.  When ->burst is positive, interpret non-positive 
interval
     to unconditionally disable rate limiting.

     Signed-off-by: Paul E. McKenney <[email-masked]>
     Cc: Andrew Morton <[email-masked]>
     Cc: Kuniyuki Iwashima <[email-masked]>
     Cc: Mateusz Guzik <[email-masked]>
     Cc: Petr Mladek <[email-masked]>
     Cc: Steven Rostedt <[email-masked]>
     Cc: John Ogness <[email-masked]>
     Cc: Sergey Senozhatsky <[email-masked]>

On todays linux-next build the commit id is 
c8943bdecfc76711f83241e21da9d4530f872f0d.